/* Copyright (C) RSA Data Security, Inc. created 1992, 1998.

   This file is used to demonstrate how to interface to an
   RSA Data Security, Inc. licensed development product.

   You have a royalty-free right to use, modify, reproduce and
   distribute this demonstration file (including any modified
   version), provided that you agree that RSA Data Security,
   Inc. has no warranty, implied or otherwise, or liability
   for this demonstration file or any modified version.
 */

#include "aglobal.h"
#include "bsafe.h"
#include "demochos.h"

/* This chooser selects the standard C implementations of the algorithm
methods.
*/
B_ALGORITHM_METHOD *DEMO_ALGORITHM_CHOOSER[] = {
  &AM_DES_ENCRYPT,
  &AM_DES_DECRYPT,
  &AM_DESX_ENCRYPT,
  &AM_DESX_DECRYPT,
  &AM_DES_EDE_ENCRYPT,
  &AM_DES_EDE_DECRYPT,
  &AM_CBC_ENCRYPT,
  &AM_CBC_DECRYPT,
  &AM_CBC_INTER_LEAVED_ENCRYPT,
  &AM_CBC_INTER_LEAVED_DECRYPT,
  &AM_CFB_ENCRYPT,
  &AM_CFB_DECRYPT,
  &AM_CFB_PIPELINED_ENCRYPT,
  &AM_CFB_PIPELINED_DECRYPT,
  &AM_ECB_ENCRYPT,
  &AM_ECB_DECRYPT,
  &AM_OFB_ENCRYPT,
  &AM_OFB_DECRYPT,
  &AM_OFB_PIPELINED_ENCRYPT,
  &AM_OFB_PIPELINED_DECRYPT,
  &AM_TOKEN_DES_CBC_ENCRYPT,
  &AM_TOKEN_DES_CBC_DECRYPT,
  &AM_TOKEN_DES_EDE3_CBC_ENCRYPT,
  &AM_TOKEN_DES_EDE3_CBC_DECRYPT,
  &AM_HW_RANDOM,
  &AM_FORMAT_X931,
  &AM_EXTRACT_X931,
  &AM_TOKEN_RSA_PRV_ENCRYPT,
  &AM_TOKEN_RSA_PUB_DECRYPT,
  &AM_TOKEN_RSA_ENCRYPT,
  &AM_TOKEN_RSA_DECRYPT,
  &AM_TOKEN_RSA_CRT_ENCRYPT,
  &AM_TOKEN_RSA_CRT_DECRYPT,
  &AM_DES_CBC_DECRYPT,
  &AM_DES_CBC_ENCRYPT,
  &AM_DES_EDE3_CBC_DECRYPT,
  &AM_DES_EDE3_CBC_ENCRYPT,
  &AM_DESX_CBC_DECRYPT,
  &AM_DESX_CBC_ENCRYPT,
  &AM_DH_KEY_AGREE,
  &AM_DH_PARAM_GEN,
  &AM_DSA_KEY_GEN,
  &AM_DSA_PARAM_GEN,
  &AM_DSA_SIGN,
  &AM_DSA_VERIFY,
  &AM_DSA_KEY_TOKEN_GEN,
  &AM_TOKEN_DSA_SIGN,
  &AM_TOKEN_DSA_VERIFY,
  &AM_ECFP_PARAM_GEN,
  &AM_ECF2POLY_PARAM_GEN,
  &AM_ECFP_BLD_ACCEL_TABLE,
  &AM_ECFP_BLD_PUB_KEY_ACC_TAB,
  &AM_ECF2POLY_BLD_ACCEL_TABLE,
  &AM_ECF2POLY_BLD_PUB_KEY_ACC_TAB,
  &AM_ECFP_DECRYPT,
  &AM_ECF2POLY_DECRYPT,
  &AM_ECFP_ENCRYPT,
  &AM_ECF2POLY_ENCRYPT,
  &AM_ECFP_KEY_GEN,
  &AM_ECF2POLY_KEY_GEN,
  &AM_ECFP_DH_KEY_AGREE,
  &AM_ECF2POLY_DH_KEY_AGREE,
  &AM_ECFP_DSA_SIGN,
  &AM_ECF2POLY_DSA_SIGN,
  &AM_ECFP_DSA_VERIFY,
  &AM_ECF2POLY_DSA_VERIFY,
  &AM_MAC,
  &AM_MD2,
  &AM_MD2_RANDOM,
  &AM_MD2_RANDOM_2X,
  &AM_MD5,
  &AM_MD5_RANDOM,
  &AM_MD5_RANDOM_2X,
  &AM_MD,
  &AM_RC2_DECRYPT,
  &AM_RC2_ENCRYPT,
  &AM_RC2_CBC_DECRYPT,
  &AM_RC2_CBC_ENCRYPT,
  &AM_RC4_DECRYPT,
  &AM_RC4_ENCRYPT,
  &AM_RC5_ENCRYPT,
  &AM_RC5_64DECRYPT,
  &AM_RC5_64ENCRYPT,
  &AM_RC5_DECRYPT,
  &AM_RC5_CBC_ENCRYPT,
  &AM_RC5_CBC_DECRYPT,
  &AM_RSA_CRT_DECRYPT,
  &AM_RSA_CRT_ENCRYPT,
  &AM_RSA_CRT_DECRYPT_BLIND,
  &AM_RSA_CRT_ENCRYPT_BLIND,
  &AM_RSA_CRT_X931_ENCRYPT,
  &AM_RSA_X931_DECRYPT,
  &AM_RSA_DECRYPT,
  &AM_RSA_ENCRYPT,
  &AM_RSA_KEY_GEN,
  &AM_RSA_STRONG_KEY_GEN,
  &AM_RSA_KEY_TOKEN_GEN,
  &AM_SHA,
  &AM_SHA_RANDOM,
  &AM_SYMMETRIC_KEY_TOKEN_GEN,
  (B_ALGORITHM_METHOD *)NULL_PTR
};
