#!/bin/sh

PATH=$PATH:.
export PATH

## INTROEXAMPLES
echo "========================== Running Intro examples:"

## INTROEX
if [ -f introex ]; then 
	echo "============= Running INTROEX"
	introex
fi

## DINTROEX
if [ -f dintroex ]; then
	echo "============= Running DINTROEX"
	dintroex
fi

## MULTENCR
if [ -f multencr ]; then
	echo "============= Running MULTENCR"
	multencr
fi

## MULTDECR
if [ -f multdecr ]; then 
	echo "============= Running MULTDECR"
	multdecr
fi

## BERDER
if [ -f berder ]; then 
	echo "============= Running BERDER"
	berder
fi

## BLOCKCIPHERS
echo "========================== Running Block and Stream Ciphers:"

## DESCBC
if [ -f descbc ]; then 
	echo "============= Running DESCBC"
	descbc < infile
fi

## FEEDBACK
if [ -f feedback ]; then
	echo "============= Running FEEDBACK"
	feedback 
fi

## RC2 
if [ -f rc2 ]; then 
	echo "============= Running RC2"
	rc2 < infile
fi

## RC2ECB
if [ -f rc2ecb ]; then
	echo "============= Running RC2ECB"
	rc2ecb < infile
fi

## RC4
if [ -f rc4 ]; then
	echo "============= Running RC4"
	rc4 < infile
fi

## RC5
if [ -f rc5 ]; then 
	echo "============= Running RC5"
	rc5 < infile
fi

## RC5OFB
if [ -f rc5ofb ]; then
	echo "============= Running RC5OFB"
	rc5ofb < infile
fi

## TDESCFB
if [ -f tdescfb ]; then
	echo "============= Running TDESCFB"
	tdescfb < infile
fi

## PBE
if [ -f pbe ]; then 
	echo "============= Running PBE"
	pbe < pbefile
fi

## PUBLICKEY
echo "========================== Running Public Key Examples:"

## DHAGREE
if [ -f dhagree ]; then
	echo "============= Running DHAGREE"
	dhagree < infile
fi

## DHPARAM
if [ -f dhparam ]; then
	echo "============= Running DHPARAM"
	dhparam < infile
fi

## RSAPKCS
if [ -f rsapkcs ]; then
	echo "============= Running RSAPKCS"
	rsapkcs < infile
fi

## SCRTSHAR
if [ -f scrtshar ]; then
	echo "============= Running SCRTSHAR"
	scrtshar < infile
fi

## SIGNATURE
echo "========================== Running Signature Examples:"

## RSASIGN
if [ -f rsasign ]; then 
	echo "============= Running RSASIGN"
	rsasign < infile
fi

## DSASIGN
if [ -f dsasign ]; then 
	echo "============= Running DSASIGN"
	dsasign 
fi

## SIGNVER
if [ -f signver ]; then 
	echo "============= Running SIGNVER"
	signver < infile
fi

## EC
echo "========================== Running Elliptic Curve Examples:"

## ECDH
if [ -f ecdh ]; then 
	echo "============= Running ECDH"
	ecdh < infile
fi

## ECDSA
if [ -f ecdsa ]; then
	echo "============= Running ECDSA"
	ecdsa < infile
fi

## ECDSADIG
if [ -f ecdsadig ]; then
	echo "============= Running ECDSADIG"
	ecdsadig < infile
fi

## ECES
if [ -f eces ]; then 
	echo "============= Running ECES"
	eces < infile
fi

## ECPARAM
if [ -f ecparam ]; then 
	echo "============= Running ECPARAM"
	ecparam < infile
fi

## MISC
echo "========================== Running Miscellaneous Examples:"

## ENCDEC
if [ -f encdec ]; then 
	echo "============= Running ENCDEC"
	encdec < infile
fi

## GENBYTES
if [ -f genbytes ]; then
	echo "============= Running GENBYTES"
	genbytes < infile
fi

## MDBER
if [ -f mdber ]; then 
	echo "============= Running MDBER"
	mdber < infile
fi

## MDIGEST
if [ -f mdigest ]; then
	echo "============= Running MDIGEST"
	mdigest < infile
fi

## END
echo "========================== Finished Running Examples."

exit 0