/* Copyright (C) RSA Data Security, Inc. created 1992.  This is an
   unpublished work protected as such under copyright law.  This work
   contains proprietary, confidential, and trade secret information of
   RSA Data Security, Inc.  Use, disclosure or reproduction without the
   express written authorization of RSA Data Security, Inc. is
   prohibited.
 */

#ifndef _ALGAE_H_
#define _ALGAE_H_ 1

#include "bsfmacro.h"
#include "bsfplatf.h"

#include "aglobal.h"
#include "atypes.h"

/* Include the file containing the function declarations of the T_
     routines (T_memset, T_malloc, etc.).
 */
#define RSA_STD_MEM_FUNCS    RSA_ENABLED
#define RSA_STD_ALLOC_FUNCS  RSA_ENABLED
#include "stdlibrf.h"

#ifdef __cplusplus
extern "C" {
#endif

#define AE_CANCEL 0x0001
#define AE_DATA 0x0002
#define AE_EXPONENT_EVEN 0x0003
#define AE_EXPONENT_LEN 0x0004
#define AE_INPUT_DATA 0x0005
#define AE_INPUT_LEN 0x0006
#define AE_MODULUS_LEN 0x0007
#define AE_NEED_RANDOM 0x0008
#define AE_NOT_SUPPORTED 0x0009
#define AE_OUTPUT_LEN 0x000a
#define AE_NOT_INITIALIZED 0x000b
#define AE_KEY_LEN 0x000c
#define AE_KEY_INFO 0x000d
#define AE_SEQUENCE 0x000e
#define AE_PARAMS 0x000f
#define AE_ALLOC 0x0010
#define AE_EXPONENT_ONE 0x0011
#define AE_HARDWARE 0x0012                
#define AE_AM_DOMESTIC_ONLY 0x0013
#define AE_BAD_SEEDING 0x0014

unsigned int RSA_CALLING_CONV A_IntegerBits PROTO_LIST
  ((unsigned char *, unsigned int));

int RSA_CALLING_CONV ALG_ErrorCode PROTO_LIST ((int));

#ifdef __cplusplus
}
#endif

#endif /* _ALGAE_H_ */
